# IML deployment client

This client is a set of bash scripts to deploy a package that was built on th IML CI server.

This project is related to

* CI deployment web gui <https://git-repo.iml.unibe.ch/iml-open-source/imldeployment>
* CI package server <https://git-repo.iml.unibe.ch/iml-open-source/ci-pkg>

## License

GNU GPL 3.0

## Source

URL: <https://git-repo.iml.unibe.ch/iml-open-source/imldeployment-client/>

## Requirements

A few Linux standard tools are required. It should run on any GNU Linux.

* Bash
* Curl
* sed

Tested environments:

* CentOS
* Debian
* Manjaro
* Ubuntu

## Features

* Secure download from CI package server using shared secret
* detect a changed download to run an upgrade or just apply rules for configs
* Extraction to target dir
* Cleanup: delete all files in target dir that are not included in the software package
* Create (config) files by inserting strings into placeholders
* Several hooks to allow custom actions
* Handle multiple applications on a machine (aka profiles)
* Writes a logfile per execution and application (and to stdout)
