# Installation

## Extract files

On a server the client must be deployed i.e. in `/opt/deployment-client/`

Use git clone if you feel familiar with git. Otherwise download the archive and extract it.

The files should be owned by root:root because the main script will be executed as root
and it wants to chown the extracted files to your application user.

The result in your target directory is:

```text
.
├── bin
│   ├── create_config.sh
│   ├── getfile.sh
│   ├── getfile.sh.cfg
│   ├── getfile.sh.cfg.dist
│   └── preinstall_cleanup.sh
├── deploy_app.sh
├── docs
│   └── ...
├── profiles
│   └── example
│       ├── config.sh.dist
│       ├── replace.txt
│       ├── tasks_config.sh
│       ├── tasks_postinstall.sh
│       └── tasks_preinstall.sh
└── readme.md
```

## Create directory for logfiles

Then create a folder for log data. As root:

```shell
mkdir -p /var/log/imldeployment-client/
```
